local screenW,screenH = guiGetScreenSize()
local px,py = 1680,1050
local xs,ys = (screenW/px), (screenH/py)

local font = dxCreateFont("font.ttf", 14)

function dxDrawButton(x, y, w, h, text)
	local mx, my = getMousePos()
	local bgcolor = tocolor(0, 230, 230, 255)
	local tcolor = tocolor(255, 255, 255, 255)
	if isPointInRect(mx, my, x - 2, y, w, h) then
		bgcolor = tocolor(200, 200, 200, 150)
	else
		bgcolor = tocolor(150, 0, 0, 255)
	end
	dxDrawRectangle(x, y, w, h, bgcolor, false)
	dxDrawText(text, x, y, w + x, h + y, tcolor, 1*xs, 1*ys, "default-bold", "center", "center", true, false, false, true)
end

function dxDrawButtonText(x, y, w, h, text)
	local mx, my = getMousePos()
	local bgcolor = tocolor(0, 230, 230, 255)
	local tcolor = tocolor(255, 255, 255, 255)
	if isPointInRect(mx, my, x - 2, y, w, h) then
		bgcolor = tocolor(200, 200, 200, 150)
	else
		bgcolor = tocolor(150, 0, 0, 255)
	end
	--dxDrawRectangle(x, y, w, h, bgcolor, false)
	dxDrawText(text, x, y, w + x, h + y, tcolor, 1*xs, 1*ys, "default-bold", "center", "center", true, false, false, true)
end

function dxDrawScroll(x, y, w, h, pos, text, alpha, state)
	local mx, my = getMousePos()
	local bgcolor2 = tocolor(150, 0, 0, alpha)
	local bgcolor = tocolor(200, 200, 200, alpha)
	local tcolor = tocolor(255, 255, 255, alpha)
	if state == true then
		bgcolor = tocolor(0, 200, 0, alpha)
	else
		bgcolor = tocolor(200, 200, 200, alpha)
	end
	dxDrawRectangle(x, y, w, h, bgcolor2, false)
	dxDrawRectangle(pos, y - 5, 10, 30, bgcolor, false)
	dxDrawText(text, x + 8, y, w + x, h + y, tcolor, 1*xs, 1*ys, "default-bold", "center", "center", true, false, false, true)
end


function dxDrawColorButton(x, y, w, h, color1, color2, color3)
	local mx, my = getMousePos()
	local vehicle = getPedOccupiedVehicle( localPlayer )
	local xx, yy, ww, hh = x, y, w, h
	if isPointInRect(mx, my, x - 2, y, w, h) then
		xx = xx - 2
		yy = yy - 2
		ww = ww + 4
		hh = hh + 4
		if vehicleColor == false then
			setVehicleColor(vehicle, color1, color2, color3)
			--triggerServerEvent("col", localPlayer)
			--setVehicleHeadLightColor(vehicle, color1, color2, color3)
		end
	end
	dxDrawRectangle(xx, yy, ww, hh, tocolor(255, 255, 255, 255), false)
	dxDrawRectangle(x, y, w, h, tocolor(color1, color2, color3), false)
end
--addEvent( "onGreeting", true )
--addEventHandler( "onGreeting", localPlayer, dxDrawColorButton )

function createCar(id)
	triggerServerEvent("createVeh", localPlayer, id)
end

function dxDrawSkinsButton(x, y, w, h, text, idSkin)
	local mx, my = getMousePos()
	local enable = false
	local bgcolor = tocolor(0, 230, 230, 255)
	local tcolor = tocolor(255, 255, 255, 255)
	if isPointInRect(mx, my, x, y, w, h) then
		bgcolor = tocolor(200, 200, 200, 150)
		addEventHandler("onClientClick", root, function(button, state)
			if button == "left" and state == "down" then
				if cursorPosition(x, y, w, h) then
					triggerServerEvent("onSkin", localPlayer, idSkin)
				end
			end
		end)
	else
		bgcolor = tocolor(150, 0, 0, 255)
	end
	dxDrawRectangle(x, y, w, h, bgcolor, false)
	dxDrawText(text, x, y, w + x, h + y, tcolor, 1*xs, 1*ys, "default-bold", "center", "center", true, false, false, true)
end

function dxDrawAnimButton(x, y, w, h, text, block, anim)
	local mx, my = getMousePos()
	local enable = false
	local bgcolor = tocolor(0, 230, 230, 255)
	local tcolor = tocolor(255, 255, 255, 255)
	if isPointInRect(mx, my, x, y, w, h) then
		bgcolor = tocolor(200, 200, 200, 150)
		addEventHandler("onClientClick", root, function(button, state)
			if button == "left" and state == "down" then
				if cursorPosition(x, y, w, h) then
					triggerServerEvent("setAnimation", localPlayer, block, anim)
				end
			end
		end)
	else
		bgcolor = tocolor(150, 0, 0, 255)
	end
	dxDrawRectangle(x, y, w, h, bgcolor, false)
	dxDrawText(text, x, y, w + x, h + y, tcolor, 1*xs, 1*ys, "default-bold", "center", "center", true, false, false, true)
end

function dxDrawWindow(x, y, w, h, text)
	local mx, my = getMousePos()
	local bgcolor = tocolor(0, 0, 0, 200)
	local bgcolors = tocolor(150, 0, 0, 255)
	local tcolor = tocolor(255, 255, 255, 255)
	dxDrawRectangle(x, y, w, h, bgcolor, false)
	dxDrawRectangle(x + 4*xs, y + 4*ys, w - 8*xs, 25*ys, bgcolors, false)
	dxDrawText(text, x + 4, y + 4*ys, w + x - 8, 30 + y, tcolor, 1*xs, 1*ys, font, "center", "center", true, false, false, true)
end
function dxDrawVehicleSelect(x, y, w, h, text, close, open)
	local mx, my = getMousePos()
	local enable = false
	local bgcolor = tocolor(0, 230, 230, 255)
	local tcolor = tocolor(255, 255, 255, 255)
	if isPointInRect(mx, my, x, y, w, h) then
		bgcolor = tocolor(200, 200, 200, 150)
		addEventHandler("onClientClick", root, function(button, state)
			if stateCar == true then
				if button == "left" and state == "down" then
					if cursorPosition(x, y, w, h) then
						removeEventHandler("onClientRender", root, close)
						stateCar = false
						addEventHandler("onClientRender", root, open)
					end
				end
			end
		end)
	else
		bgcolor = tocolor(150, 0, 0, 255)
	end
	dxDrawRectangle(x, y, w, h, bgcolor, false)
	dxDrawText(text, x, y, w + x, h + y, tcolor, 1, "default-bold", "center", "center", true, false, false, true)
end
function dxDrawMemo(x, y, w, h, text)
	local bgcolor = tocolor(200, 200, 200, 255)
	local bgcolors = tocolor(255, 255, 255, 255)
	local tcolor = tocolor(150, 0, 0, 255)
	dxDrawRectangle(x, y, w, h, bgcolor, false)
	dxDrawRectangle(x + 2, y + 2, w - 4, h - 4, bgcolors, false)
	dxDrawText(text, x + 6, y + 5, w + x, h + y, tcolor, 0.7*xs, 0.7*ys, font, "left", "top", true, false, false, true)
end
function dxDrawCheckButton(x, y, w, h, pos, text)
	local mx, my = getMousePos()
	local color1 = tocolor(255, 255, 255, 100)
	local color2 = tocolor(0, 0, 0, 255)
	local color3 = tocolor(150, 0, 0, 255)
	if isPointInRect(mx, my, x, y, w, h) then
		color3 = tocolor(200, 200, 200, 200)
	end
	dxDrawRectangle(x, y, w, h, color1, false)
	dxDrawRectangle(x + 4, y + 4, w - 8, h - 8, color2, false)
	dxDrawRectangle(pos + 6, y + 6, 30, h - 12, color3, false)
	dxDrawText(text, pos + 6, y + 6, 30 + pos + 6, h - 12 + y + 6, tcolor, 0.5*xs, 0.5*ys, font, "center", "center", true, false, false, true)
end

function dxDrawCheckButtons(x, y, w, h, pos, text)
	local mx, my = getMousePos()
	local color1 = tocolor(255, 255, 255, 100)
	local color2 = tocolor(0, 0, 0, 255)
	local color3 = tocolor(150, 0, 0, 255)
	if isPointInRect(mx, my, x, y, w, h) then
		color3 = tocolor(200, 200, 200, 200)
	end
	dxDrawRectangle(x, y, w, h, color1, false)
	dxDrawRectangle(x + 4, y + 4, w - 8, h - 8, color2, false)
	dxDrawRectangle(pos + 6, y + 6, 60, h - 12, color3, false)
	dxDrawText(text, pos + 21, y + 6, 30 + pos + 21, h - 12 + y + 6, tcolor, 0.5*xs, 0.5*ys, font, "center", "center", true, false, false, true)
end

function dxDrawtext(x, y, w, h, text)
	dxDrawText(text, x, y, w + x, h + y, tcolor, 1*xs, 1*ys, "default-bold", "center", "center", true, false, false, true)
end

function isPointInRect(x, y, rx, ry, rw, rh)
	if x >= rx and y >= ry and x <= rx + rw and y <= ry + rh then
		return true
	else
		return false
	end
end
function cursorPosition(x, y, w, h)
	if (not isCursorShowing()) then
		return false
	end
	local mx, my = getCursorPosition()
	local fullx, fully = guiGetScreenSize()
	cursorx, cursory = mx*fullx, my*fully
	if cursorx > x and cursorx < x + w and cursory > y and cursory < y + h then
		return true
	else
		return false
	end
end
function getMousePos()
	local xsc, ysc = guiGetScreenSize()
	local mx, my = getCursorPosition()
	if not mx or not my then
		mx, my = 0, 0
	end
	return mx * xsc, my * ysc
end

function isMouseClick()
	return wasMousePressedInCurrentFrame
end

